RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2069235 - Converting FIPS power-on self test to KAT
Summary: Converting FIPS power-on self test to KAT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: openssl
Version: 9.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Dmitry Belyavskiy
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 2086866
TreeView+ depends on / blocked
 
Reported: 2022-03-28 14:09 UTC by Dmitry Belyavskiy
Modified: 2023-06-05 16:08 UTC (History)
4 users (show)

Fixed In Version: openssl-3.0.1-43.el9_0
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2086866 (view as bug list)
Environment:
Last Closed: 2023-06-05 16:08:22 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CRYPTO-2857 0 None None None 2022-03-28 14:09:05 UTC
Red Hat Issue Tracker CRYPTO-7235 0 None None None 2022-05-16 16:18:15 UTC
Red Hat Issue Tracker RHELPLAN-116987 0 None None None 2022-03-28 14:15:44 UTC

Description Dmitry Belyavskiy 2022-03-28 14:09:05 UTC
Some of the OpenSSL's power-on self tests perform a pairwise consistency test (in particular this is true for DSA and ECDSA tests). This is no longer permitted for FIPS 140-3. The replacements must implement a known-
answer test. This implies using fixed rand data or deterministic construction.

Comment 1 Dmitry Belyavskiy 2022-03-30 10:07:13 UTC
DSA tests will be eliminated.

What we can (and should) check is:
- self-tests are passed
- when we sign any data in FIPS mode (and also in non-FIPS) with the same private keys, we get different signatures.

Comment 8 Clemens Lang 2023-06-05 16:08:22 UTC
RHEL 9.1 contains openssl-3.0.1-43.el9_0.


Note You need to log in before you can comment on or make changes to this bug.